fl_ask.cxx File Reference

Utility functions for common dialogs. More...

`#include <stdio.h>`
`#include <stdarg.h>`
`#include "flstring.h"`
`#include <FL/Fl.H>`
`#include <FL/fl_ask.H>`
`#include <FL/Fl_Box.H>`
`#include <FL/Fl_Button.H>`
`#include <FL/Fl_Return_Button.H>`
`#include <FL/Fl_Window.H>`
`#include <FL/Fl_Input.H>`
`#include <FL/Fl_Secret_Input.H>`
`#include <FL/x.H>`
`#include <FL/fl_draw.H>`

## Functions

void | fl_alert (const char *fmt,...)
| Shows an alert message dialog box. More...
int | fl_ask (const char *fmt,...)
| Shows a dialog displaying the `fmt` message, this dialog features 2 yes/no buttons. More...
void | fl_beep (int type)
| Emits a system beep message. More...
int | fl_choice (const char *fmt, const char *b0, const char *b1, const char *b2,...)
| Shows a dialog displaying the `fmt` message, this dialog features up to 3 customizable choice buttons. More...
const char * | fl_input (const char *fmt, const char *defstr,...)
| Shows an input dialog displaying the `fmt` message. More...
void | fl_message (const char *fmt,...)
| Shows an information message dialog box. More...
void | fl_message_hotspot (int enable)
| Sets whether or not to move the common message box used in many common dialogs like fl_message(), fl_alert(), fl_ask(), fl_choice(), fl_input(), fl_password() to follow the mouse pointer. More...
int | fl_message_hotspot (void)
| Gets whether or not to move the common message box used in many common dialogs like fl_message(), fl_alert(), fl_ask(), fl_choice(), fl_input(), fl_password() to follow the mouse pointer. More...
Fl_Widget * | fl_message_icon ()
| Gets the Fl_Box icon container of the current default dialog used in many common dialogs like fl_message(), fl_alert(), fl_ask(), fl_choice(), fl_input(), fl_password() More...
void | fl_message_title (const char *title)
| Sets the title of the dialog window used in many common dialogs. More...
void | fl_message_title_default (const char *title)
| Sets the default title of the dialog window used in many common dialogs. More...
const char * | fl_password (const char *fmt, const char *defstr,...)
| Shows an input dialog displaying the `fmt` message. More...
void | resizeform ()

## Variables

const char * | fl_cancel = "Cancel"
| string pointer used in common dialogs, you can change it to another language
const char * | fl_close = "Close"
| string pointer used in common dialogs, you can change it to another language
Fl_Font | fl_message_font_ = FL_HELVETICA
Fl_Fontsize | fl_message_size_ = -1
const char * | fl_no = "No"
| string pointer used in common dialogs, you can change it to another language
const char * | fl_ok = "OK"
| string pointer used in common dialogs, you can change it to another language
const char * | fl_yes = "Yes"
| string pointer used in common dialogs, you can change it to another language

## Detailed Description

Utility functions for common dialogs.

- © 1998-2012 by Bill Spitzak and others.